"""Add Assign to

Revision ID: 1d4dd7b37325
Revises: 02da3c5de99e
Create Date: 2021-10-05 06:50:59.352026+02:00

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "1d4dd7b37325"
down_revision = "02da3c5de99e"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "CallbackRequest",
        sa.Column("assigned_to_id", sa.String(), nullable=True),
    )
    op.add_column(
        "CallbackRequest",
        sa.Column("assigned_to_name", sa.String(), nullable=True),
    )
    op.drop_constraint(
        "CallbackRequest_employee_id_fkey",
        "CallbackRequest",
        type_="foreignkey",
    )
    op.drop_column("CallbackRequest", "employee_id")

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###

    op.add_column(
        "CallbackRequest",
        sa.Column("employee_id", sa.INTEGER(), autoincrement=False, nullable=True),
    )
    op.create_foreign_key(
        "CallbackRequest_employee_id_fkey",
        "CallbackRequest",
        "Employee",
        ["employee_id"],
        ["sid"],
    )
    op.drop_column("CallbackRequest", "assigned_to_name")
    op.drop_column("CallbackRequest", "assigned_to_id")
    # ### end Alembic commands ###
